JobControllerRunJob2 Method |
POST /Job/Run2/{id}
Runs a job using provided options.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Run2")]
public HttpResponseMessage RunJob2(
Guid id,
[FromBodyAttribute] RunJobsOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Run2")>
Public Function RunJob2 (
id As Guid,
<FromBodyAttribute> options As RunJobsOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Run2")]
HttpResponseMessage^ RunJob2(
Guid id,
[FromBodyAttribute] RunJobsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Run2")>]
member RunJob2 :
id : Guid *
[<FromBodyAttribute>] options : RunJobsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
ID of the job to run. - options
- Type: Dundas.BI.WebApi.ModelsRunJobsOptions
An object that carries all needed information about the jobs that need to be run. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
HttpResponseMessageThe
Int64 ID of the job run, or a status code indicating the problem.
See Also